GCalc.ExpressionHashMap – GCalc-2 Reference Manual

# ExpressionHashMap

## Object Hierarchy:

## Description:

public class ExpressionHashMap : HashMap<uint,MathExpression>

A hash table using Hashable objects

Namespace: GCalc
Package: GCalc-2

## Content:

### Properties:

- public unowned MathExpression parent { get; set; }

### Creation methods:

- public ExpressionHashMap ()

### Methods:

- public void add (MathExpression exp)
- public MathExpression? find_named (string name)
- public void remove (MathExpression exp)

### Inherited Members:

All known members inherited from class Gee.HashMap

- @get
- @set
- clear
- entries
- has

- has_key
- key_equal_func
- key_hash_func
- keys
- map_iterator

- read_only
- size
- unset
- value_equal_func
- values

All known members inherited from class Gee.AbstractMap

- @foreach
- @get
- @set
- clear
- entries

- has
- has_key
- keys
- map_iterator
- read_only

- read_only_view
- size
- stream
- unset
- values

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gee.Traversable

- @foreach
- all_match
- any_match
- chop
- element_type
- filter

- first_match
- flat_map
- fold
- map
- max

- min
- order_by
- scan
- stream
- tee

All known members inherited from interface Gee.Iterable

- iterator

All known members inherited from interface Gee.Map

- @get
- @set
- clear
- contains
- contains_all
- empty
- entries
- has

- has_all
- has_key
- is_empty
- key_type
- keys
- map_iterator
- read_only
- read_only_view

- remove
- remove_all
- set_all
- size
- unset
- unset_all
- value_type
- values